package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 可疑商品处理 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnKyspStoredocumentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnKyspStoredocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnKyspStoredocumentMapper.addSKcKnKyspStoredocument", pd);
    }

    public List<PageData> findSKcKnKyspStoredocumentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnKyspStoredocumentMapper.selectSKcKnKyspStoredocumentList", pd);
    }

    public Integer SKcKnKyspStoredocumentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnKyspStoredocumentMapper.SKcKnKyspStoredocumentRemove", pd);
    }


    public Integer updateSKcKnKyspStoredocument(PageData pd)throws Exception {
        return daoSupport.update("SKcKnKyspStoredocumentMapper.updateSKcKnKyspStoredocument", pd);
    }

}
